Linkup raises $10M seed to build web search for AI. Read more →
curl --request GET \
--url https://api.linkup.so/v1/research \
--header 'Authorization: Bearer <token>'{
"metadata": {
"page": 123,
"pageSize": 123,
"total": 123,
"totalPages": 123
},
"data": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"error": "<string>",
"id": "01234-abcd-56789",
"status": "completed",
"updatedAt": "2026-01-01T00:00:00.000Z",
"input": {
"outputType": "sourcedAnswer",
"q": "What is Microsoft's 2024 revenue?",
"excludeDomains": [
"wikipedia.org"
],
"fromDate": "2025-01-01",
"includeDomains": [
"microsoft.com",
"agolution.com"
],
"includeImages": false,
"structuredOutputSchema": null,
"toDate": "2025-01-01"
},
"output": {
"answer": "Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.",
"sources": [
{
"name": "Microsoft 2024 Annual Report",
"snippet": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.",
"url": "https://www.microsoft.com/investor/reports/ar24/index.html"
}
]
},
"type": "<string>"
}
]
}The GET /research method, without research task identifier, lists all created research tasks for the authenticated organization, with pagination. This endpoint is currently in beta, it might be subject to changes.
curl --request GET \
--url https://api.linkup.so/v1/research \
--header 'Authorization: Bearer <token>'{
"metadata": {
"page": 123,
"pageSize": 123,
"total": 123,
"totalPages": 123
},
"data": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"error": "<string>",
"id": "01234-abcd-56789",
"status": "completed",
"updatedAt": "2026-01-01T00:00:00.000Z",
"input": {
"outputType": "sourcedAnswer",
"q": "What is Microsoft's 2024 revenue?",
"excludeDomains": [
"wikipedia.org"
],
"fromDate": "2025-01-01",
"includeDomains": [
"microsoft.com",
"agolution.com"
],
"includeImages": false,
"structuredOutputSchema": null,
"toDate": "2025-01-01"
},
"output": {
"answer": "Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.",
"sources": [
{
"name": "Microsoft 2024 Annual Report",
"snippet": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.",
"url": "https://www.microsoft.com/investor/reports/ar24/index.html"
}
]
},
"type": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
x >= 11 <= x <= 100createdAt, updatedAt asc, desc